//============================================================
// Forms
//============================================================

@mixin placeholder {
	@at-root #{&}::-webkit-input-placeholder {
		@content
	}
	@at-root #{&}:-moz-placeholder {
		@content
	}
	@at-root #{&}::-moz-placeholder {
		@content
	}
	@at-root #{&}:-ms-input-placeholder {
		@content
	}
	@at-root #{&}::placeholder {
		@content
	}
}

@-webkit-keyframes spin {
	0% {
		-webkit-transform: rotate(0deg);
	}
	100% {
		-webkit-transform: rotate(360deg);
	}
}

@keyframes spin {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(360deg);
	}
}


@mixin firstAnimation {
	opacity: 0;
	visibility: hidden;
}